import { ModuleWithProviders } from '@angular/core';
import { HacDropdownComponent } from './dropdown/components/hac.dropdown';
import { HacDropdownOption, HacDropdownOptionGroup } from './dropdown/models';
import { HacDropdownFilterPipe } from './dropdown/pipes/hac.dropdown.filter';
import { HacDatepickerComponent } from './datepicker/components/hac.datepicker';
import { HacDatepickerOptions } from './datepicker/components/hac.datepicker.options';
import { HacWeekDayFormatter } from './datepicker/pipes/hac.weekday.formatter';
import { HacCopyWidthDirective } from './common/directives/copy-width.directive';
import { HacLabelFocusDirective } from './common/directives/label-focus.directive';
export { HacDatepickerComponent, HacDatepickerOptions, HacWeekDayFormatter, HacDropdownComponent, HacDropdownOption, HacDropdownOptionGroup, HacDropdownFilterPipe, HacCopyWidthDirective, HacLabelFocusDirective };
export declare class HacModule {
    static forRoot(): ModuleWithProviders;
}
